Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.security.management.authorization
Class AuthorizerDescription

    java.lang.Object
      com.bea.p13n.security.management.ProviderDescription
          com.bea.p13n.security.management.authorization.AuthorizerDescription

All Implemented Interfaces
  Serializable

    public class AuthorizerDescription

extends ProviderDescription
implements Serializable

This class holds information describing a single SSPI authorization provider. It is a convenience class, an immutable value object used by ATN management functions.

This class is normally not directly instantiated, but is accessed through the use of the `SecurityMgmtHelper`.

See Also
  `AuthorizationSecurityMgmtHelper`, Serialized Form

Field Summary

Fields inherited from class com.bea.p13n.security.management.ProviderDescription
`DUMB_PROVIDER, READ_ONLY_PROVIDER, READ_WRITE_PROVIDER`

Constructor Summary
`AuthorizerDescription(AuthorizerMBean anATZMBean)`

Method Summary
`AuthorizerMBean` | `getProviderMBean()` Get the MBean used to initialize this instance.
`int` | `getProviderMgmtCapability()` Get provider capability - a roll up of what optional MBeans are implemented.
`boolean` | `isDefaultAuthorizationProvider()` The scheme for who the default role provider is simple: If the provider is an instance of weblogic.security.providers.authorization.DefaultAuthorizerMBean, it is the default.
`boolean` | `isPolicyEditorImplemented()` Get provider configuration information for optional MBean implementation.
`boolean` | `isRoleReaderImplemented()` Get provider configuration information for optional MBean implementation.
`String` | `toString()`

Methods inherited from class com.bea.p13n.security.management.ProviderDescription
`getDescription, getDisplayName, getVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuthorizerDescription

    public AuthorizerDescription(AuthorizerMBean anATZMBean)

Method Detail

### isDefaultAuthorizationProvider

    public boolean isDefaultAuthorizationProvider()

  The scheme for who the default role provider is simple: If the provider is an instance of weblogic.security.providers.authorization.DefaultAuthorizerMBean, it is the default.

  Returns
    true if this provider is WebLogic Authorization Provider.

### isPolicyEditorImplemented

    public boolean isPolicyEditorImplemented()

  Get provider configuration information for optional MBean implementation.

  Returns
    true if provider implements this interface, otherwise false

### isRoleReaderImplemented

    public boolean isRoleReaderImplemented()

  Get provider configuration information for optional MBean implementation.

  Returns
    true if provider implements this interface, otherwise false

### getProviderMBean

    public AuthorizerMBean getProviderMBean()

  Get the MBean used to initialize this instance.

  Returns
    the MBean representing this authorization provider

### getProviderMgmtCapability

    public int getProviderMgmtCapability()

  Get provider capability - a roll up of what optional MBeans are implemented. Possible values;
  1. `DUMB_PROVIDER`
  2. `READ_ONLY_PROVIDER`
  3. `READ_WRITE_PROVIDER`

  Returns
    true if provider implements this interface, otherwise false

### toString

    public String toString()

  Overrides:
    `toString` in class `ProviderDescription`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved